# Schemas

## Auth Model

```csharp
    public class Auth_model
    {
        public string authenticated;

        public Auth_model();
    }
```

## User Model

```csharp
    public class User_model
    {
        public string response;
        public Users user;
        public List<Users> users;

        public User_model();
    }
```

## Items Model

```csharp
    public class Items_model
    {
        public string response;
        public Items item;
        public List<Items> items;

        public Items_model();
    }
```

## Collection Model

```csharp
    public class Collection_model
    {
        public string response;
        public Collection collection;
        public List<Collection> collections;

        public Collection_model();
    }
```

## Transfer Model

```csharp
    public class Transfer_model
    {
        public string txHash;

        public Transfer_model();
    }
```

## Holder Model

```javascript
    public class Holders
    {
        public string address;
        public string balance;
        public string name;
        public string profilePic;
        public string profilePicUrl;

        public Holders();
    }
```

## History Model

```csharp
    public class History_Schema
    {
        public string amount;
        public string blockNumber;
        public string chainId;
        public string eventz;
        public string from;
        public string itemCollection;
        public string itemRef;
        public string timestamp;
        public string to;
        public string tokenId;
        public string transactionHash;

        public History_Schema();
    }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/unity-sdk-reference/schemas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
